Cyberduck Mountain Duck CLI

#6164 closed defect (fixed)

Exception reading OpenSSH configuration

Reported by: Deyk Owned by: dkocher
Priority: normal Milestone: 4.1.2
Component: sftp Version: 4.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

I tried connecting via SFTP to a server. Nothing happens, and there is exception output in the Console. This happens with both password and public key authentication.

Here is the console output:

8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]	2011-08-22 11:13:35,028 [background-9] ERROR ch.cyberduck.ui.AbstractController - Exception running background task:1
8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]	java.lang.ArrayIndexOutOfBoundsException: 1
8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]		at org.spearce.jgit.transport.OpenSshConfig.parse(OpenSshConfig.java:183)
8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]		at org.spearce.jgit.transport.OpenSshConfig.refresh(OpenSshConfig.java:152)
8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]		at org.spearce.jgit.transport.OpenSshConfig.create(OpenSshConfig.java:73)
8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]		at ch.cyberduck.core.sftp.SFTPSession.getHostname(SFTPSession.java:161)
8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]		at ch.cyberduck.core.sftp.SFTPSession.getResolver(SFTPSession.java:173)
8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]		at ch.cyberduck.core.Session.fireConnectionWillOpenEvent(Session.java:587)
8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]		at ch.cyberduck.core.sftp.SFTPSession.connect(SFTPSession.java:135)
8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]		at ch.cyberduck.core.Session.check(Session.java:93)
8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]		at ch.cyberduck.core.sftp.SFTPSession.check(SFTPSession.java:408)
8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]		at ch.cyberduck.core.sftp.SFTPSession.check(SFTPSession.java:399)
8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]		at ch.cyberduck.core.Session.mount(Session.java:274)
8/22/11 11:13:35 AM	[0x0-0x1065064].ch.sudo.cyberduck[52244]		at ch.cyberduck.core.Session.mount(Session.java:262)

Change History (3)

comment:1 Changed on Aug 22, 2011 at 9:01:45 PM by dkocher

Can you attach your OpenSSH configuration file in .ssh/config. As a workaround, move this file away as there is a bug encountering an unexpected format in this configuration file.

comment:2 Changed on Aug 22, 2011 at 9:02:09 PM by dkocher

  • Milestone set to 4.1.2
  • Status changed from new to assigned
  • Summary changed from sftp won't connect, exception in Console to Exception reading OpenSSH configuration

comment:3 Changed on Aug 22, 2011 at 9:06:31 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r8986.

Note: See TracTickets for help on using tickets.
swiss made software